Name:           vbetool
Version:        0.7
Release:        2%{?dist}
Summary:        Run real-mode video BIOS code to alter hardware state

Group:          System Environment/Base
License:        GPLv2
URL:            http://www.srcf.ucam.org/~mjg59/vbetool/
Source0:        http://www.srcf.ucam.org/~mjg59/vbetool/vbetool_%{version}-1.tar.gz
Patch10:        vbetool-0.3-fix-gcc4bug.patch
Patch11:        vbetool-libz.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  zlib-devel pciutils-devel
# does not build on ppc and ppc64
ExcludeArch:    ppc ppc64
# vbetool is included in (some of) these pm-utils releases
Conflicts:      pm-utils <= 0.99.3-11


%description
vbetool uses lrmi in order to run code from the video BIOS. Currently, it is
able to alter DPMS states, save/restore video card state and attempt to
initialize the video card from scratch.


%prep
%setup -q
%patch10 -p1 -b .gcc4
%patch11 -p1 -b .zlib


%build
%ifarch x86_64
%configure --with-x86emu
%else
%configure
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_sbindir}/vbetool
%{_mandir}/man1/vbetool.1.gz


%changelog
* Fri Sep 07 2007 Till Maas <opensource till name> 0.7-2
- ExcludeArch: ppc and ppc64 (does not build there)
- add Conflicts with old pm-utils package

* Fri Aug 31 2007 Till Maas <opensource till name> - 0.7-1
- initial release for Fedora with patches from the pm-utils package
